---
title: Notification.maxActions
slug: Web/API/Notification/maxActions
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - actions
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>maxActions</code></strong> attribute of the {{domxref("Notification")}} interface returns the maximum number of actions supported by the device and the User Agent. Effectively, this is the maximum number of elements in {{domxref("Notification.actions")}} array which will be respected by the User Agent.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>Notification</var>.maxActions
</pre>

<h3 id="Value">Value</h3>

<p>An integer {{JSxRef("Number")}} which indicates the largest number of notification actions that can be presented to the user by the User Agent and the device.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet logs the maximum number of supported actions.</p>

<pre class="brush: js notranslate">const maxActions = Notification.maxActions;
console.log('This device can display at most ' + maxActions + ' actions on each notification.');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Web Notifications")}}</td>
   <td>{{Spec2("Web Notifications")}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.maxActions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
 <li>{{domxref("Notification.actions")}}</li>
</ul>
